---
title: RTCIceTransport.state
slug: Web/API/RTCIceTransport/state
tags:
  - API
  - Enumerated Type
  - Enumeration
  - ICE
  - Media
  - Property
  - RTCIceTransportState
  - Read-only
  - Reference
  - Transport
  - Type
  - WebRTC
  - WebRTC API
  - state
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("RTCIceTransport")}}</strong> property <strong><code>state</code></strong> returns the current state of the ICE transport, so you can determine the state of ICE gathering in which the ICE agent currently is operating.</span></p>

<p>This differs from the {{domxref("RTCIceTransport.gatheringState", "gatheringState")}}, which only indicates whether or not ICE gathering is currently underway.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>iceState</em> = <em>iceTransport</em>.state;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}, whose value is one of those found in the enumerated type {{domxref("RTCIceTransportState")}}, which indicates the stage of ICE gathering that's currently underway. Its value will be one of the following:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceTransportState", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcicetransportstate', 'RTCIceTransportState')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.state")}}</p>
</div>
